Colors in log

This commit is contained in:
Kroese 2023-05-11 03:45:10 +02:00 committed by GitHub
parent aa5429d2fe
commit 184eceae2f

View File

@ -10,8 +10,8 @@ set -Eeuo pipefail
: ${DISK_SIZE:='16G'} # Initial data disk size
: ${RAM_SIZE:='512M'} # Maximum RAM amount
error () { echo -e >&2 "\E[1;31m ERROR: $1\E[0m" }
info () { echo -e "\E[1;34m\E[1;36m INFO: $1\E[0m" }
error () { echo -e >&2 "\E[1;31m ERROR: $1\E[0m" ; }
info () { echo -e "\E[1;34m\E[1;36m INFO: $1\E[0m" ; }
info "Starting Virtual DSM for Docker v${VERSION}..."
trap 'error "Error status $? for: ${BASH_COMMAND} (line $LINENO/$BASH_LINENO)"' ERR